package com.qmth.themis.common.enums;

public enum Source {

    admin_web, admin_client, oe_client, oe_answer,mobile_monitor_first,mobile_monitor_second;

    public static Source findByName(String name) {
        if (name == null) {
            return null;
        }
        for (Source item : Source.values()) {
            if (item.toString().equalsIgnoreCase(name)) {
                return item;
            }
        }
        return null;
    }

    public boolean equals(String name) {
        return toString().equalsIgnoreCase(name);
    }
}
